package tools.descartes.prisma.core.adapter;

import java.util.HashSet;
import java.util.Set;

import org.eclipse.emf.ecore.EObject;

public class ModelSkeletonDelta {

	private final Set<EObject> newObjects = new HashSet<>();
	private final Set<EObject> changedObjects = new HashSet<>();
	private final Set<EObject> removedObjects = new HashSet<>();

	public void addNewObject(EObject object) {
		newObjects.add(object);
	}

	public void addChangedObject(EObject object) {
		changedObjects.add(object);
	}

	public void addRemovedObject(EObject object) {
		removedObjects.add(object);
	}

	public Set<EObject> getNewObjects() {
		return newObjects;
	}

	public Set<EObject> getRemovedObjects() {
		return removedObjects;
	}
}
