package tools.descartes.prisma.parameterization;

import edu.kit.ipd.descartes.mm.applicationlevel.repository.InterfaceProvidingRole;
import edu.kit.ipd.descartes.mm.applicationlevel.repository.Parameter;
import edu.kit.ipd.descartes.mm.applicationlevel.repository.Signature;

public class ParameterizationUtil {
	
	public static String createServiceName(InterfaceProvidingRole role, Signature signature) {
		StringBuilder name = new StringBuilder();
		name.append(role.getName());
		name.append("#");
		name.append(signature.getName());
		name.append("(");
		boolean first = true;
		for (Parameter param : signature.getParameters()) {
			if (!first) {
				name.append(",");
			}
			name.append(param.getDataType());
			first = false;
		}
		name.append(")");
		return name.toString();
	}
}
