package tools.descartes.prisma.agent.wildfly.interceptors;

import java.lang.reflect.Method;

import org.jboss.as.ee.component.ComponentDescription;
import org.jboss.invocation.InterceptorContext;

import tools.descartes.prisma.agent.wildfly.service.MonitoringService;

public class EJBWebServiceCallInterceptor extends AbstractInterceptor {

	public EJBWebServiceCallInterceptor(MonitoringService monitoringService, ComponentDescription description,
			String interf, Method method) {
		super(monitoringService, description.getComponentName(), description, interf, "http", method.getName());
	}

	@Override
	public Object processInvocation(InterceptorContext ctx) throws Exception {
		long startTime = System.nanoTime();
		startInvocation(ctx);
		try {
			return ctx.proceed();
		} finally {
			finishInvocation(startTime);
		}
	}

}
