package tools.descartes.prisma.core.merge;

import org.eclipse.emf.ecore.EClass;

import edu.kit.ipd.descartes.mm.applicationlevel.servicebehavior.ServicebehaviorPackage;
import tools.descartes.prisma.core.agent.AgentController;

public class MergerFactory {

	public static ObjectMerger createMerger(AgentController agent, EClass type) {
		if (ServicebehaviorPackage.Literals.COMPONENT_INTERNAL_BEHAVIOR.isSuperTypeOf(type)) {
			return new ComponentInternalBehaviorMerger(agent);
		}
		return new ObjectMerger(agent);
	}

}
